@import "../colors";

.new-brand {
    form {        
        &.container {
            padding: 10px 50px;
            margin: 10px auto;
            max-width: 800px;
            min-width: 200px;
        }
        .form-wrapper {
            background: $darkgrey;
            @include box-glow($green);
            margin: 15px 3px;
            .form-group {
                margin: 0 5px;
                padding: 5px 5px;
                color: $text;
                display: flex;
                flex-wrap: nowrap;
                label {
                    margin: 0;
                    margin-right: 5px;
                    width: 100px;
                    text-align: right;
                }
                input {
                    color: $inactiveText;
                    border: $darkgrey;
                    background: $darkergrey;
                    flex-grow: 2;
                    margin-left: 0;
                    &:focus {
                        background: $darkergreen;
                        @include in-box-glow($lightergreen);
                    }
                }
            
            }
            .submit-button {
                input {
                    padding: 5px 20px;
                    background: $darkergrey;
                    border: none;
                    &:hover {
                        transition: background 0.4s ease;
                        background: $fade;
                    }
                }
            }

        }
        &.gone {
            transition: transform 1s 0.3s ease-in-out;
            @include box-glow(#00FF00);
            transform: translateY(-200%);
        }
        }
    

    }

